Skip navigation
Currently Being Moderated

Got problem when installing air app on iphone simulator

Apr 18, 2012 9:56 PM

Tags: #mac_os_x #air_3.3

Hi,

 

when i execute this command:

 

adt -installApp -platform ios -platformsdk /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator. platform/Developer/SDKs/iPhoneSimulator5.1.sdk -device ios-simulator -package test.ipa

 

I got a error:

 

dyld: Library not loaded: @rpath/iPhoneSimulatorRemoteClient.framework/Versions/A/iPhoneSimulat orRemoteClient

  Referenced from: /Applications/Adobe Flash Builder 4.6/sdks/4.6.0_air_3.3_beta2/lib/aot/bin/isb/isb

  Reason: image not found

/var/folders/kf/__q_f1n9789cl9thm45p4fvw0000gn/T/cmd14498987401590501. tmp: line 1:   824 Trace/BPT trap: 5       "/Applications/Adobe Flash Builder 4.6/sdks/4.6.0_air_3.3_beta2/lib/aot/bin/isb/isb" "-install" "-apppath" "/var/folders/kf/__q_f1n9789cl9thm45p4fvw0000gn/T/1f8cd5bc-d002-4fbc- 8410-cf163ef2272b/Payload/Main.app" "-sdkpath" "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator .platform/Developer/SDKs/iPhoneSimulator5.1.sdk"

 

I am a new mac user, my system is Mac OS X 10.7.3, with the xcode 4.3.1 installed. Does anybody help me? thanks.

 
Replies
  • Currently Being Moderated
    Apr 28, 2012 3:32 AM   in reply to flashlizi

    Have the same problem.

     

    dyld: Library not loaded: @rpath/iPhoneSimulatorRemoteClient.framework/Versions/A/iPhoneSimulat orRemoteClient

      Referenced from: /Users/zh/Documents/flashResources/SDKs/4.6.0 + AIR 3.3b2/lib/aot/bin/isb/isb

      Reason: image not found

    /var/folders/dw/v8kcffb17fq4386ntnmw92540000gp/T/cmd251053974240710049 7.tmp: line 1:  2050 Trace/BPT trap: 5       "/Users/zh/Documents/flashResources/SDKs/4.6.0 + AIR 3.3b2/lib/aot/bin/isb/isb" "-install" "-apppath" "/var/folders/dw/v8kcffb17fq4386ntnmw92540000gp/T/512b6309-2a2d-467d- a1cc-56687aab4f4c/Payload/test.app" "-sdkpath" "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneSimulator .platform/Developer/SDKs/iPhoneSimulator5.1.sdk"

     
    |
    Mark as:
  • Currently Being Moderated
    May 1, 2012 6:55 AM   in reply to zhizn

    Zhizn, Flashlizi thanks for reporting your problem .

     

    Its a known issue and fix would be available in next release .

    However for the workaround you can install lower version of xcode say 3.2.6 on the machine .

    This problem  arises because Xcode in latest version installed as .app and we require mobile framework to be there in /developer directory.

     

    thanks

     
    |
    Mark as:
  • Currently Being Moderated
    May 2, 2012 10:50 AM   in reply to gang_war

    Thanks. But what should I copy from app to /developer to make it work right now?

     
    |
    Mark as:
  • Currently Being Moderated
    May 2, 2012 10:58 AM   in reply to zhizn

    Hi Zhizn,

     

    I am sorry but there is no easy workaround other then installing older Xcode too on your system.

     

    thanks

    Ashish

     
    |
    Mark as:
  • Currently Being Moderated
    May 8, 2012 4:15 AM   in reply to zhizn

    Please try latest AIR 3.3 beta build form labs to resolve this problem

    Also I have posted one blog regarding simulator support at http://blogs.adobe.com/airodynamics/2012/05/06/using-new-simulator-sup port-feature-for-ios/

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points